Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface ClassExpressionTree

- All Superinterfaces:
    `ExpressionTree`, `Tree`

      public interface ClassExpressionTree
      extends ExpressionTree

  A tree node that represents a class expression.
  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<? extends PropertyTree>` | `getClassElements​()` | Get other property definitions except for the constructor.
    `ExpressionTree` | `getClassHeritage​()` | The expression of the `extends` clause.
    `PropertyTree` | `getConstructor​()` | Get the constructor method definition.
    `IdentifierTree` | `getName​()` | Class identifier.

    - ### Methods inherited from interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getName

          IdentifierTree getName​()

      Class identifier. Optional.
      Returns:
        the class identifier

    - #### getClassHeritage

          ExpressionTree getClassHeritage​()

      The expression of the `extends` clause. Optional.
      Returns:
        the class heritage

    - #### getConstructor

          PropertyTree getConstructor​()

      Get the constructor method definition.
      Returns:
        the constructor

    - #### getClassElements

          List<? extends PropertyTree> getClassElements​()

      Get other property definitions except for the constructor.
      Returns:
        the class elements